<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>XWPFHeader (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XWPFHeader (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XWPFHeader.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFFootnotes.html"
               title="class in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeaderFooter.html"
               title="class in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xwpf/usermodel/XWPFHeader.html" target="_top">Frames</a>
        </li>
        <li><a href="XWPFHeader.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.classes.inherited.from.class.org.apache.poi.ooxml.POIXMLDocumentPart">Nested</a>&nbsp;|&nbsp;
            </li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xwpf.usermodel</div>
    <h2 title="Class XWPFHeader" class="title">Class XWPFHeader</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html"
                       title="class in org.apache.poi.ooxml">org.apache.poi.ooxml.POIXMLDocumentPart</a></li>
                <li>
                    <ul class="inheritance">
                        <li><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeaderFooter.html"
                               title="class in org.apache.poi.xwpf.usermodel">org.apache.poi.xwpf.usermodel.XWPFHeaderFooter</a>
                        </li>
                        <li>
                            <ul class="inheritance">
                                <li>org.apache.poi.xwpf.usermodel.XWPFHeader</li>
                            </ul>
                        </li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html"
                           title="interface in org.apache.poi.xwpf.usermodel">IBody</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">XWPFHeader</span>
extends <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeaderFooter.html"
           title="class in org.apache.poi.xwpf.usermodel">XWPFHeaderFooter</a></pre>
                <div class="block">Sketch of XWPF header class</div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="nested.classes.inherited.from.class.org.apache.poi.ooxml.POIXMLDocumentPart">
                                <!--   -->
                            </a>
                                <h3>Nested classes/interfaces inherited from class&nbsp;org.apache.poi.ooxml.<a
                                        href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html"
                                        title="class in org.apache.poi.ooxml">POIXMLDocumentPart</a></h3>
                                <code><a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.RelationPart.html"
                                         title="class in org.apache.poi.ooxml">POIXMLDocumentPart.RelationPart</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeader.html#XWPFHeader--">XWPFHeader</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeader.html#XWPFHeader-org.apache.poi.ooxml.POIXMLDocumentPart-org.apache.poi.openxml4j.opc.PackagePart-">XWPFHeader</a></span>(<a
                                        href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html"
                                        title="class in org.apache.poi.ooxml">POIXMLDocumentPart</a>&nbsp;parent,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                                       title="class in org.apache.poi.openxml4j.opc">PackagePart</a>&nbsp;part)</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeader.html#XWPFHeader-org.apache.poi.xwpf.usermodel.XWPFDocument-org.openxmlformats.schemas.wordprocessingml.x2006.main.CTHdrFtr-">XWPFHeader</a></span>(<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFDocument.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFDocument</a>&nbsp;doc,
                                    org.openxmlformats.schemas.wordprocessingml.x2006.main.CTHdrFtr&nbsp;hdrFtr)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeader.html#commit--">commit</a></span>()</code>
                                    <div class="block">save and commit footer</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/BodyType.html"
                                        title="enum in org.apache.poi.xwpf.usermodel">BodyType</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeader.html#getPartType--">getPartType</a></span>()</code>
                                    <div class="block">get the PartType of the body</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeader.html#onDocumentRead--">onDocumentRead</a></span>()</code>
                                    <div class="block">reads the document</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.xwpf.usermodel.XWPFHeaderFooter">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.xwpf.usermodel.<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeaderFooter.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFHeaderFooter</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeaderFooter.html#Z:Z_getHdrFtr--">_getHdrFtr</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeaderFooter.html#addPictureData-byte:A-int-">addPictureData</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeaderFooter.html#addPictureData-java.io.InputStream-int-">addPictureData</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeaderFooter.html#clearHeaderFooter--">clearHeaderFooter</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeaderFooter.html#createParagraph--">createParagraph</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeaderFooter.html#createTable-int-int-">createTable</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeaderFooter.html#getAllPackagePictures--">getAllPackagePictures</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeaderFooter.html#getAllPictures--">getAllPictures</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeaderFooter.html#getBodyElements--">getBodyElements</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeaderFooter.html#getListParagraph--">getListParagraph</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeaderFooter.html#getOwner--">getOwner</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeaderFooter.html#getParagraph-org.openxmlformats.schemas.wordprocessingml.x2006.main.CTP-">getParagraph</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeaderFooter.html#getParagraphArray-int-">getParagraphArray</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeaderFooter.html#getParagraphs--">getParagraphs</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeaderFooter.html#getPart--">getPart</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeaderFooter.html#getPictureDataByID-java.lang.String-">getPictureDataByID</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeaderFooter.html#getTable-org.openxmlformats.schemas.wordprocessingml.x2006.main.CTTbl-">getTable</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeaderFooter.html#getTableArray-int-">getTableArray</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeaderFooter.html#getTableCell-org.openxmlformats.schemas.wordprocessingml.x2006.main.CTTc-">getTableCell</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeaderFooter.html#getTables--">getTables</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeaderFooter.html#getText--">getText</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeaderFooter.html#getXWPFDocument--">getXWPFDocument</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeaderFooter.html#insertNewParagraph-org.apache.xmlbeans.XmlCursor-">insertNewParagraph</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeaderFooter.html#insertNewTbl-org.apache.xmlbeans.XmlCursor-">insertNewTbl</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeaderFooter.html#insertTable-int-org.apache.poi.xwpf.usermodel.XWPFTable-">insertTable</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeaderFooter.html#prepareForCommit--">prepareForCommit</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeaderFooter.html#readHdrFtr--">readHdrFtr</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeaderFooter.html#removeParagraph-org.apache.poi.xwpf.usermodel.XWPFParagraph-">removeParagraph</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeaderFooter.html#removeTable-org.apache.poi.xwpf.usermodel.XWPFTable-">removeTable</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeaderFooter.html#setHeaderFooter-org.openxmlformats.schemas.wordprocessingml.x2006.main.CTHdrFtr-">setHeaderFooter</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeaderFooter.html#setXWPFDocument-org.apache.poi.xwpf.usermodel.XWPFDocument-">setXWPFDocument</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.ooxml.POIXMLDocumentPart">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.ooxml.<a
                                        href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html"
                                        title="class in org.apache.poi.ooxml">POIXMLDocumentPart</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#Z:Z_invokeOnDocumentRead-org.apache.poi.ooxml.POIXMLDocumentPart-">_invokeOnDocumentRead</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#addRelation-java.lang.String-org.apache.poi.ooxml.POIXMLRelation-org.apache.poi.ooxml.POIXMLDocumentPart-">addRelation</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#createRelationship-org.apache.poi.ooxml.POIXMLRelation-org.apache.poi.ooxml.POIXMLFactory-">createRelationship</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#createRelationship-org.apache.poi.ooxml.POIXMLRelation-org.apache.poi.ooxml.POIXMLFactory-int-">createRelationship</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#createRelationship-org.apache.poi.ooxml.POIXMLRelation-org.apache.poi.ooxml.POIXMLFactory-int-boolean-">createRelationship</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getNextPartNumber-org.apache.poi.ooxml.POIXMLRelation-int-">getNextPartNumber</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getPackagePart--">getPackagePart</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getParent--">getParent</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getRelationById-java.lang.String-">getRelationById</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getRelationId-org.apache.poi.ooxml.POIXMLDocumentPart-">getRelationId</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getRelationPartById-java.lang.String-">getRelationPartById</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getRelationParts--">getRelationParts</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getRelations--">getRelations</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getTargetPart-org.apache.poi.openxml4j.opc.PackageRelationship-">getTargetPart</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#isCommited--">isCommited</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#onDocumentCreate--">onDocumentCreate</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#onDocumentRemove--">onDocumentRemove</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#onSave-java.util.Set-">onSave</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#read-org.apache.poi.ooxml.POIXMLFactory-java.util.Map-">read</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#rebase-org.apache.poi.openxml4j.opc.OPCPackage-">rebase</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#removeRelation-org.apache.poi.ooxml.POIXMLDocumentPart-">removeRelation</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#removeRelation-org.apache.poi.ooxml.POIXMLDocumentPart-boolean-">removeRelation</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#removeRelation-java.lang.String-">removeRelation</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#setCommited-boolean-">setCommited</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#toString--">toString</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait,
                                    wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="XWPFHeader--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>XWPFHeader</h4>
                                <pre>public&nbsp;XWPFHeader()</pre>
                            </li>
                        </ul>
                        <a name="XWPFHeader-org.apache.poi.ooxml.POIXMLDocumentPart-org.apache.poi.openxml4j.opc.PackagePart-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>XWPFHeader</h4>
                                <pre>public&nbsp;XWPFHeader(<a
                                        href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html"
                                        title="class in org.apache.poi.ooxml">POIXMLDocumentPart</a>&nbsp;parent,
                  <a href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                     title="class in org.apache.poi.openxml4j.opc">PackagePart</a>&nbsp;part)
           throws java.io.IOException</pre>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 3.14-Beta1</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="XWPFHeader-org.apache.poi.xwpf.usermodel.XWPFDocument-org.openxmlformats.schemas.wordprocessingml.x2006.main.CTHdrFtr-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>XWPFHeader</h4>
                                <pre>public&nbsp;XWPFHeader(<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFDocument.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFDocument</a>&nbsp;doc,
                  org.openxmlformats.schemas.wordprocessingml.x2006.main.CTHdrFtr&nbsp;hdrFtr)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="commit--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>commit</h4>
                                <pre>protected&nbsp;void&nbsp;commit()
               throws java.io.IOException</pre>
                                <div class="block">save and commit footer</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#commit--">commit</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html"
                                                title="class in org.apache.poi.ooxml">POIXMLDocumentPart</a></code></dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - a subclass may throw an IOException if the
                                        changes can't be committed
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="onDocumentRead--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>onDocumentRead</h4>
                                <pre>protected&nbsp;void&nbsp;onDocumentRead()
                       throws java.io.IOException</pre>
                                <div class="block">reads the document</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeaderFooter.html#onDocumentRead--">onDocumentRead</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeaderFooter.html"
                                                title="class in org.apache.poi.xwpf.usermodel">XWPFHeaderFooter</a></code>
                                    </dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getPartType--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getPartType</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/xwpf/usermodel/BodyType.html"
                                                    title="enum in org.apache.poi.xwpf.usermodel">BodyType</a>&nbsp;getPartType()</pre>
                                <div class="block">get the PartType of the body</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the PartType of the body</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd><a href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html#getPartType--"><code>IBody.getPartType()</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XWPFHeader.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFFootnotes.html"
               title="class in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeaderFooter.html"
               title="class in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xwpf/usermodel/XWPFHeader.html" target="_top">Frames</a>
        </li>
        <li><a href="XWPFHeader.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.classes.inherited.from.class.org.apache.poi.ooxml.POIXMLDocumentPart">Nested</a>&nbsp;|&nbsp;
            </li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
